com.jscape.inet.imap

## Interface ImapListener

- All Superinterfaces:
    java.util.EventListener
  All Known Implementing Classes:
    ImapAdapter

      public interface ImapListener
      extends java.util.EventListener

  Implements methods for capturing connected and disconnected events from Imap class. It also captures an event indicating retreival of a message. Your application should implement this interface to capture the events of data flow between remote host and local machine.

       public class Application ... implements ImapListener
       {
        ...
           public ... initMethod(...)
          {
            Imap imap = new Imap();
            imap.addImapListener(this);
          }
        ...
       }

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commandSent(ImapCommandEvent event)` Invoked when command is sent to the IMAP server
    `void` | `connected(ImapConnectedEvent event)` Invoked when connection to IMAP server is established.
    `void` | `disconnected(ImapDisconnectedEvent event)` Invoked when connection to IMAP server is released.
    `void` | `messageRetrieved(ImapMessageEvent event)` Invoked when message is retrieved from IMAP server.
    `void` | `progress(ImapMessageProgressEvent event)` Invoked frequently during the download process of a message from IMAP server
    `void` | `responseReceived(ImapResponseEvent event)` Invoked when a response is received from IMAP server

- - ### Method Detail

    - #### connected

          void connected(ImapConnectedEvent event)

      Invoked when connection to IMAP server is established.
      Parameters:
        `event` - a `ImapConnectedEvent`
      See Also:
        `ImapConnectedEvent`

    - #### disconnected

          void disconnected(ImapDisconnectedEvent event)

      Invoked when connection to IMAP server is released.
      Parameters:
        `event` - a `ImapDisconnectedEvent`
      See Also:
        `ImapDisconnectedEvent`

    - #### messageRetrieved

          void messageRetrieved(ImapMessageEvent event)

      Invoked when message is retrieved from IMAP server.
      Parameters:
        `event` - a `ImapMessageEvent`
      See Also:
        `ImapMessageEvent`

    - #### progress

          void progress(ImapMessageProgressEvent event)

      Invoked frequently during the download process of a message from IMAP server
      Parameters:
        `event` - a `ImapMessageProgressEvent`
      See Also:
        `ImapMessageProgressEvent`

    - #### commandSent

          void commandSent(ImapCommandEvent event)

      Invoked when command is sent to the IMAP server
      Parameters:
        `event` - a `ImapCommandEvent`
      See Also:
        `ImapCommandEvent`

    - #### responseReceived

          void responseReceived(ImapResponseEvent event)

      Invoked when a response is received from IMAP server
      Parameters:
        `event` - a `ImapResponseEvent`
      See Also:
        `ImapResponseEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved